/*
 * HIST.H
 *
 * definitions pertinent to histogram evaluation
 *
 */

#define	DEFAULT			0             /* scale hist by min and max data */
#define	FIX_BINWD		1
#define	FIX_RANGE		2            /* restr. range, center at mean */
#define	FIX_INTERVAL		3



struct Histo {
  int nh;                       /* nof inp data */
  float *phd;                   /* ptr to array of input data */
  double mean, sdev, skew;      /* moments of raw data */

  int meth;                     /* method of binning */
  int nb;                       /* nof histogram bins */
  float *ph;                    /* ptr to array of histogram data */
  float bw;                     /* bin width */
  float amin, amax;
  double hmean;                 /* histogram mean */

};
